Bug 1417662 - Customer concered about memory and elapsed time to generate custom report in global reporting region
Summary: Customer concered about memory and elapsed time to generate custom report in ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Performance
Version: 5.6.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.6.4
Assignee: Nick LaMuro
QA Contact: Pradeep Kumar Surisetty
URL:
Whiteboard: report:perf
Depends On: 1395743
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 15:19 UTC by Satoe Imaishi
Modified: 2020-06-11 13:15 UTC (History)
14 users (show)

Fixed In Version: 5.6.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1395743
Environment:
Last Closed: 2017-03-09 17:08:54 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0474 normal SHIPPED_LIVE CFME 5.6.4 bug fixes and enhancement update 2017-03-09 22:03:14 UTC

Comment 2 CFME Bot 2017-01-31 14:01:10 UTC
New commit detected on ManageIQ/manageiq/darga:
https://github.com/ManageIQ/manageiq/commit/8bb493c50efcdf121c10865c85cbc9c485949b18

commit 8bb493c50efcdf121c10865c85cbc9c485949b18
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Jan 30 15:53:55 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 31 08:50:17 2017 -0500

    Merge pull request #12972 from Fryguy/move_vpor_creation_to_rollup_time
    
    Remove on-the-fly creating of VimPerformanceOperatingRanges
    (cherry picked from commit ff7a33b54006bcddeab9b0290495b2db58f9f92a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1417662

 app/models/metric/ci_mixin/long_term_averages.rb |  31 ++++---
 app/models/metric/ci_mixin/rollup.rb             |   7 +-
 app/models/vim_performance_operating_range.rb    |  31 +++++--
 spec/models/metric_spec.rb                       | 109 ++++++++++++-----------
 4 files changed, 102 insertions(+), 76 deletions(-)

Comment 3 CFME Bot 2017-01-31 14:01:18 UTC
New commit detected on ManageIQ/manageiq/darga:
https://github.com/ManageIQ/manageiq/commit/6839e65af07eb92678536844bbdf7e6fa9ac8017

commit 6839e65af07eb92678536844bbdf7e6fa9ac8017
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Jan 30 17:57:28 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 31 08:58:19 2017 -0500

    Merge pull request #13700 from Fryguy/vpor_rollup_performance
    
    Only generate vpor for the TimeProfile specified, not all TimeProfiles
    (cherry picked from commit 9d4f10d6e9c3f76cdb51675560558ea9c7b0c15f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1417662

 app/models/metric/ci_mixin/long_term_averages.rb | 15 ++++++---------
 app/models/metric/ci_mixin/rollup.rb             |  6 +++---
 app/models/time_profile.rb                       |  4 ++++
 spec/models/metric_spec.rb                       | 14 ++++++++++----
 spec/models/time_profile_spec.rb                 | 12 ++++++++++++
 5 files changed, 35 insertions(+), 16 deletions(-)

Comment 4 Nick LaMuro 2017-02-01 15:55:32 UTC
The code from the following PRs have been backported to DARGA:

https://github.com/ManageIQ/manageiq/pull/12972
https://github.com/ManageIQ/manageiq/pull/13700


And have reduced the strain on these types of reports.  Future improvements will made in the newer releases since we can make use of refactorings that will allow us to make further performance improvements on top of what we are doing here.

Comment 6 errata-xmlrpc 2017-03-09 17:08:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0474.html


Note You need to log in before you can comment on or make changes to this bug.